E-Arogya - Feature #1185

[Radiology] Create services for for Radiology Specialty — Doctor mapping
19/08/2024 05:14 PM - Harish Beechani

Status: Closed Start date: 19/08/2024
Priority: Normal Due date:

Assignee: Harish Beechani % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

History

#1 - 22/08/2024 03:16 AM - Harish Beechani

- Status changed from New to In Progress

#2 - 23/08/2024 05:12 AM - Harish Beechani

- Status changed from In Progress to Resolved

#3 - 01/10/2024 09:08 AM - Gautam Kumar

- Status changed from Resolved to Closed

20/04/2025
